LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XScenario Interface Referencepublished

provides access to the settings of a scenario sheet. More...

`import"XScenario.idl";`

Inheritance diagram for XScenario:

## Public Member Functions
boolean | getIsScenario ()
| returns `TRUE` if the current object is a scenario. More...
string | getScenarioComment ()
| returns the comment for the scenario. More...
void | setScenarioComment ([in] string aScenarioComment)
| sets a new comment for the scenario. More...
void | addRanges ([in] sequence< com::sun::star::table::CellRangeAddress > aRanges)
| adds more ranges to the scenario. More...
void | apply ()
| applies the scenario. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the settings of a scenario sheet.

See also
  com::sun::star::sheet::Spreadsheet

## Member Function Documentation

## ◆ addRanges()

void addRanges | ( | [in] sequence< com::sun::star::table::CellRangeAddress > | aRanges | ) |

adds more ranges to the scenario.

## ◆ apply()

void apply | ( |  | ) |

applies the scenario.

The contents of the scenario ranges are copied into the first non-scenario sheet which is in front of the sheet containing the scenario by itself.

## ◆ getIsScenario()

boolean getIsScenario | ( |  | ) |

returns `TRUE` if the current object is a scenario.

## ◆ getScenarioComment()

string getScenarioComment | ( |  | ) |

returns the comment for the scenario.

## ◆ setScenarioComment()

void setScenarioComment | ( | [in] string | aScenarioComment | ) |

sets a new comment for the scenario.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XScenario.idl